package com.kingdee.eas.custom.recuritment;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractBeisenTalentPoolInfo extends com.kingdee.eas.framework.TreeBaseInfo implements Serializable 
{
    public AbstractBeisenTalentPoolInfo()
    {
        this("id");
    }
    protected AbstractBeisenTalentPoolInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 北森人才库 's 父节点 property 
     */
    public com.kingdee.eas.custom.recuritment.BeisenTalentPoolInfo getParent()
    {
        return (com.kingdee.eas.custom.recuritment.BeisenTalentPoolInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.custom.recuritment.BeisenTalentPoolInfo item)
    {
        put("parent", item);
    }
    /**
     * Object: 北森人才库 's 行政组织 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getAdminOrgUnit()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("adminOrgUnit");
    }
    public void setAdminOrgUnit(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("adminOrgUnit", item);
    }
    /**
     * Object:北森人才库's 人才库Idproperty 
     */
    public String getTalentPoolId()
    {
        return getString("talentPoolId");
    }
    public void setTalentPoolId(String item)
    {
        setString("talentPoolId", item);
    }
    /**
     * Object:北森人才库's 人才库类别property 
     */
    public String getTalentPoolType()
    {
        return getString("talentPoolType");
    }
    public void setTalentPoolType(String item)
    {
        setString("talentPoolType", item);
    }
    /**
     * Object:北森人才库's 删除状态property 
     */
    public boolean isStdIsDeleted()
    {
        return getBoolean("stdIsDeleted");
    }
    public void setStdIsDeleted(boolean item)
    {
        setBoolean("stdIsDeleted", item);
    }
    /**
     * Object:北森人才库's 是否离职人才库property 
     */
    public boolean isIsLieftTalentPool()
    {
        return getBoolean("isLieftTalentPool");
    }
    public void setIsLieftTalentPool(boolean item)
    {
        setBoolean("isLieftTalentPool", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("0E34C69B");
    }
}